Crashpad

Public Attributes | Static Public Attributes | List of all members
crashpad::CodeViewRecordPDB20 Struct Reference

A CodeView record linking to a `.pdb` 2.0 file. More...

`#include "util/misc/pdb_structures.h"`

## Public Attributes
uint32_t | signature
| The magic number identifying this structure version, the value of kSignature.
uint32_t | offset
| The offset to CodeView data. More...
uint32_t | timestamp
| The time that the `.pdb` file was created, in `time_t` format, the number of seconds since the POSIX epoch.
uint32_t | age
| The revision of the `.pdb` file. More...
uint8_t | pdb_name [1]
| The path or file name of the `.pdb` file associated with the module. More...

## Static Public Attributes
static const uint32_t | kSignature = '01BN'
| The magic number identifying this structure version, stored in signature. More...

## Detailed Description

A CodeView record linking to a `.pdb` 2.0 file.

This format provides an indirect link to debugging data by referencing an external `.pdb` file by its name, timestamp, and age. This structure may be pointed to by MINIDUMP_MODULE::CvRecord. It has been superseded by CodeViewRecordPDB70.

For more information about this structure and format, see Matching Debug Information, PDB Files, and Undocumented Windows 2000 Secrets, Windows 2000 Debugging Support/Microsoft Symbol File Internals/CodeView Subsections.

See also
  IMAGE_DEBUG_MISC

## Member Data Documentation

## ◆ age

uint32_t crashpad::CodeViewRecordPDB20::age

The revision of the `.pdb` file.

A `.pdb` file’s age indicates incremental changes to it. When a `.pdb` file is created, it has age `1`, and subsequent updates increase this value.

## ◆ kSignature

const uint32_t crashpad::CodeViewRecordPDB20::kSignature = '01BN'
| static

The magic number identifying this structure version, stored in signature.

In a hex dump, this will appear as “NB10” when produced by a little-endian machine.

## ◆ offset

uint32_t crashpad::CodeViewRecordPDB20::offset

The offset to CodeView data.

In this structure, this field always has the value `0` because no CodeView data is present, there is only a link to CodeView data stored in an external file.

## ◆ pdb_name

uint8_t crashpad::CodeViewRecordPDB20::pdb_name[1]

The path or file name of the `.pdb` file associated with the module.

This is a NUL-terminated string. On Windows, it will be encoded in the code page of the system that linked the module. On other operating systems, UTF-8 may be used.

The documentation for this struct was generated from the following files:

- util/misc/pdb_structures.h
- util/misc/pdb_structures.cc